package au.id.rupert.chauffeurs_name_board;
// Version ChauffersNameBoard 020
// Purpose to display text at full screen on an android device
// http://www.rupert.id.au/chauffeurs_name_board/index.php
// as sold on Google Play at: https://play.google.com/store/apps/details?id=au.id.rupert.chauffeurs_name_board

// Published as ChauffersNameBoard 4.0 -  27 January 2013

// Added button press to edit text to open configuration (editing) screen2.xml
// I would still like to remove the need for the user to press the "Save Name" button after they press "Done" when editing
// the new name.

import android.app.Activity;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;

public class ChauffeursNameBoard extends Activity {

	BigTextButton btnBigTextButton1;
	BigTextButton btnBigTextButton2;
	
	// Initialize variables
	String strName1 = "";
	String strName2 = "";
	
	// set up SharedPreferences
    SharedPreferences prefs;
    private static final String NAME_KEY1 = "strName1";
    private static final String NAME_KEY2 = "strName2";

    private String prefName = "MyPref";
    
	IntentFilter intentFilter;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.screen1);   // Display screen1
        this.setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE);

      // open the editor scree2.xml if you click the bigTextButton1 eg line 1 of screen
        BigTextButton progress = (BigTextButton) findViewById(R.id.bigTextButton1);        
        progress.setOnClickListener(new View.OnClickListener() 
        {
            public void onClick(View v) 
            {                
			
            	// Do something when clicked
            	// Starting a new Intent to switch screens
        		Intent Config = new Intent(getApplicationContext(), Configuration.class);
        		
        		// starting new activity
        		startActivity(Config);
            }
        });
        
        // open the editor scree2.xml if you click the bigTextButton2 eg line 2 of screen
        BigTextButton progress2 = (BigTextButton) findViewById(R.id.bigTextButton2);        
        progress2.setOnClickListener(new View.OnClickListener() 
        {
            public void onClick(View v) 
            {                
			
            	// Do something when clicked
            	// Starting a new Intent to switch screens
        		Intent Config = new Intent(getApplicationContext(), Configuration.class);
        		
        		// starting new activity
        		startActivity(Config);
            }
        });
        
        
        
            // Used for testing what happens when first run
        		/*
				   	//---get the SharedPreferences object---
					prefs = getSharedPreferences(prefName, MODE_PRIVATE);
			    	SharedPreferences.Editor editor = prefs.edit();

			        // Write a null string to the saved preference
			        strstrName = prefs.getString(NAME_KEY, "");
			        //---save the null string to the saved preference--- 			        
			        editor.putString(NAME_KEY, "");  
			        editor.commit();  
		        */
	        //  End first time testing
	        
     
	   	//---get the SharedPreferences object---
		prefs = getSharedPreferences(prefName, MODE_PRIVATE);
		
		//---load the SharedPreferences object---
		SharedPreferences prefs = getSharedPreferences(prefName, MODE_PRIVATE);
        
        // Restore the saved strName string 
        strName1 = prefs.getString(NAME_KEY1, "");
        strName2 = prefs.getString(NAME_KEY2, "");
        
        // Remove whitespace around the name.  Eg remove spaces before and after the string.
        strName1 = strName1.trim();
        strName2 = strName2.trim();

        // Set the text of both the BigTextButton1 & 2 eg line 1 & 2 
        btnBigTextButton1 = (BigTextButton) findViewById(R.id.bigTextButton1);       
        btnBigTextButton1.setText(strName1);
        btnBigTextButton1.update();
        
        btnBigTextButton2 = (BigTextButton) findViewById(R.id.bigTextButton2);       
        btnBigTextButton2.setText(strName2);
        btnBigTextButton2.update();
        
    }
        
    @Override
    protected void onResume() {
    	//---register the receiver---
        //registerReceiver(intentReceiver, intentFilter);
        super.onResume();
        
	   	//---get the SharedPreferences object---
		prefs = getSharedPreferences(prefName, MODE_PRIVATE);
		
		//---load the SharedPreferences object---
		SharedPreferences prefs = getSharedPreferences(prefName, MODE_PRIVATE);
		
        // Restore the saved strName string
        strName1 = prefs.getString(NAME_KEY1, "");
        strName2 = prefs.getString(NAME_KEY2, "");
        
        // ********* Try to cater for first time use ***************
        
        String strFirst_run = getString(R.string.first_run);
        if (strName1.isEmpty() && strName2.isEmpty()) {
        	strName1 = strFirst_run;
        	}
        // *********************************************************
        
        //Update the display to show the new name
        strName1 = strName1.trim();
        btnBigTextButton1.setText(strName1);
        btnBigTextButton1.update();
        
        strName2 = strName2.trim();
        btnBigTextButton2.setText(strName2);
        btnBigTextButton2.update();
    }

	@Override
    protected void onPause() {
    	//---unregister the receiver---
        //unregisterReceiver(intentReceiver);
        super.onPause();
    }
        
    @Override
    protected void onDestroy() {
    	//---unregister the receiver---
        super.onPause();
    }

// Initiating Menu XML file (menu.xml)
@Override
public boolean onCreateOptionsMenu(Menu menu)
{
    MenuInflater menuInflater = getMenuInflater();
    menuInflater.inflate(R.layout.menu, menu);
    return true;
}

/**
 * Event Handling for Individual menu item selected
 * Identify single menu item by it's id
 * */
@Override
public boolean onOptionsItemSelected(MenuItem item)
	{
		
	    switch (item.getItemId())
	    {
	    case R.id.menu_larger:
	        // Single menu item is selected do something
	    	//Starting a new Intent to switch screens
			Intent Config = new Intent(getApplicationContext(), Configuration.class);
			
			// starting new activity
			startActivity(Config);
	        
	        return super.onOptionsItemSelected(item);
	    }
		return false;
	}

}

